Page d'avertissement cul-de-sac

Support en français pour CMS Made Simple.

Moderator: jce76350

Post Reply
pragmatis
New Member
New Member
Posts: 3
Joined: Sat Apr 10, 2021 10:15 pm

Page d'avertissement cul-de-sac

Post by pragmatis »

Bonjour,

En voulant installer un module (frontend users), une page d'avertissement relative à des versions apparait avec aucune possibilité d'en sortir. Même en vidant le cache, puis en me reconnectant en mode admin, et que je clique sur Gestionnaire de module je retombe sur cette page.

Une solution pour sortir de ça ?

Merci de vos réponses.
User avatar
Franck
Dev Team Member
Dev Team Member
Posts: 253
Joined: Tue Jun 12, 2007 1:29 pm
Location: France

Re: Page d'avertissement cul-de-sac

Post by Franck »

Bonjour,

Je ne comprends pas bien de quoi il retourne. Peux-tu être plus précis / poster une capture d'écran ?
Et quelle version du CMS ?
Pour info Frontend Users V3 est buguée, il est préférable d'installer MAMS (un fork de FEU), CMSMSExt et SmartyExt qui remplace les modules de Calguy.
pragmatis
New Member
New Member
Posts: 3
Joined: Sat Apr 10, 2021 10:15 pm

Re: Page d'avertissement cul-de-sac

Post by pragmatis »

Merci de la réponse.

Le message est juste un avertissement sur fond de page blanche, suivi "d'utilisation à vos risques et périls", et rien d'autre ! Pas de bouton pour sortir de cette page et une fois relancé la connexion comme admin, rien à faire ensuite pour ne pas y retomber dessus systématiquement quand on clique sur "Gestionnaire de modules".

J'ai vidé le cache, sans succès. Voilà où j'en suis et je pense ne pas être le seul à rencontrer ce problème.

Cordialement.
User avatar
Franck
Dev Team Member
Dev Team Member
Posts: 253
Joined: Tue Jun 12, 2007 1:29 pm
Location: France

Re: Page d'avertissement cul-de-sac

Post by Franck »

L'idéal est de nous fournir la version du CMS, de PHP, et des modules installés a minima pour qu'on puisse voir sous quel environnement ça arrive.
User avatar
Franck
Dev Team Member
Dev Team Member
Posts: 253
Joined: Tue Jun 12, 2007 1:29 pm
Location: France

Re: Page d'avertissement cul-de-sac

Post by Franck »

A priori, c'est un problème de compatibilité PHP : les derniers modules de CG requièrent PHP 7.2.1+.
Donc soit tu changes la version de PHP sur l'hébergement, soit tu désinstalles manuellement (en FTP) le module. Et en prends un compatible avec ta version de PHP.

Cependant, je recommande fortement de passer à PHP 7.4 minimum.
pragmatis
New Member
New Member
Posts: 3
Joined: Sat Apr 10, 2021 10:15 pm

Re: Page d'avertissement cul-de-sac

Post by pragmatis »

(re)Bonjour,

J'ai rencontré mon problème en local mais aussi en essayant sur Free. Dans un cas,j'avais oublié de supprimer les fichiers d'installation, mais la dernière fois ce n'était plus le cas.

Pour la version de Frontend user, c'est effectivement la version 3 que j'avais voulu utiliser. Mais mon problème est maintenant de pouvoir accéder au gestionnaire de modules sans rester bloqué sur cette page-texte d'avertissement. Avec le seul recours de réinstaller CMSMS, ce qui n'est pas une solution élégante.


Version de CMSMS™ 2.2.15
PHP 7.2.24
AdminSearch 1.0.5
CMSContentManager 1.1.9
CmsJobManager 0.1.3
DesignManager 1.1.9
FileManager 1.6.12
FilePicker 1.0.5
MenuManager 1.50.3
MicroTiny 2.2.5
ModuleManager 2.1.8
Navigator 1.0.9
News 2.51.11
Search 1.52

Cordialement et merci pour l'aide apportée.
User avatar
Franck
Dev Team Member
Dev Team Member
Posts: 253
Joined: Tue Jun 12, 2007 1:29 pm
Location: France

Re: Page d'avertissement cul-de-sac

Post by Franck »

pragmatis wrote: Sat Apr 24, 2021 4:42 pm Pour la version de Frontend user, c'est effectivement la version 3 que j'avais voulu utiliser. Mais mon problème est maintenant de pouvoir accéder au gestionnaire de modules sans rester bloqué sur cette page-texte d'avertissement. Avec le seul recours de réinstaller CMSMS, ce qui n'est pas une solution élégante.
Pas besoin de réinstaller CMSMS, il faut supprimer le module FEU via le FTP pour ne plus avoir ce problème d'accès au gestionnaire de modules.
Post Reply

Return to “French - Français”